<?php

namespace App\Models;
use App\Models\CurrentContracts;
use App\Models\FinishedContracts;

use Illuminate\Database\Eloquent\Model;

class Coupon extends Model
{
    //
    protected $fillable = [
        'name',
        'percentage',
        'amount',
        'limit',
        'expire_at',
    ];

    public function currentcontracts()
    {
        return $this->hasMany(CurrentContracts::class);
    }

    public function finishedcontracts()
    {
        return $this->hasMany(FinishedContracts::class);
    }
}
